Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class UnrecoverableEntryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.UnrecoverableEntryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnrecoverableKeyException

    public class UnrecoverableEntryException

extends GeneralSecurityException

This exception is thrown if an entry in the keystore cannot be recovered.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`UnrecoverableEntryException()` Constructs an UnrecoverableEntryException with no detail message.
`UnrecoverableEntryException(String msg)` Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnrecoverableEntryException

    public UnrecoverableEntryException()

  Constructs an UnrecoverableEntryException with no detail message.

### UnrecoverableEntryException

    public UnrecoverableEntryException(String msg)

  Constructs an UnrecoverableEntryException with the specified detail message, which provides more information about why this exception has been thrown.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.